[SRU] openvswitch 2.5.2

Bug #1673063 reported by James Page on 2017-03-15
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
openvswitch (Ubuntu)
Undecided
Unassigned
Xenial
High
James Page

Bug Description

v2.5.2 - 21 Feb 2017
---------------------
   - ovs-ctl:
     * Added the ability to selectively start the forwarding and database
       functions (ovs-vswitchd and ovsdb-server, respectively).
   - Fedora packaging:
     * A package upgrade does not automatically restart OVS service.
   - Bug fixes

v2.5.1 - 27 Sep 2016
---------------------
   - DPDK:
     * New appctl command 'dpif-netdev/pmd-rxq-show' to check the port/rxq
       assignment.
     * Type of log messages from PMD threads changed from INFO to DBG.
   - ovs-pki: Changed message digest algorithm from SHA-1 to SHA-512 because
     SHA-1 is no longer secure and some operating systems have started to
     disable it in OpenSSL.
   - Bug fixes

Test plan:

For all openvswitch updates, we perform regression testing by juju deploying two openstack clouds, one against -proposed and one against -updates, and we then run tempest integration smoke tests[1] to verify those deployed clouds, and evaluate any differences in results.

[1] https://github.com/openstack/tempest/blob/master/README.rst

James Page (james-page) on 2017-03-15
Changed in openvswitch (Ubuntu):
status: New → Invalid
Changed in openvswitch (Ubuntu Xenial):
status: New → Triaged
importance: Undecided → High
assignee: nobody → James Page (james-page)
summary: - [SRU] openvswitch 2.5.1
+ [SRU] openvswitch 2.5.2
James Page (james-page) on 2017-03-15
description: updated

Hello James, or anyone else affected,

Accepted openvswitch into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/openvswitch/2.5.2-0ubuntu0.16.04.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in openvswitch (Ubuntu Xenial):
status: Triaged → Fix Committed
tags: added: verification-needed
James Page (james-page) wrote :

Deploy and tested xenial-proposed - test results:

11:08:49 ======
11:08:49 Totals
11:08:49 ======
11:08:49 Ran: 103 tests in 930.0000 sec.
11:08:49 - Passed: 97
11:08:49 - Skipped: 6
11:08:49 - Expected Fail: 0
11:08:49 - Unexpected Success: 0
11:08:49 - Failed: 0
11:08:49 Sum of execute time for each test: 526.9571 sec.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openvswitch - 2.5.2-0ubuntu0.16.04.1

---------------
openvswitch (2.5.2-0ubuntu0.16.04.1) xenial; urgency=medium

  * New upstream point release (LP: #1673063).

 -- James Page <email address hidden> Wed, 15 Mar 2017 13:55:24 +0000

Changed in openvswitch (Ubuntu Xenial):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for openvswitch has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers